﻿function addbuttons() {
	// remove any hardcoded or previously generated buttons
	$(".buttonlist p.holder").remove();
			
	// create variables for information holders and their title elements
	var infoblock = $("#infoholder div");
	var buttons = $("#infoholder div :header");
			
	// for each information block, generate a button with matching text, link etc
	for (t = 0; t < buttons.length; t++) {
		// get the text from the information block's header (use only the first word)
		var title = $(buttons[t]).text();
		title = title.split(" ");
		title = title[0];
		// force each information block to have a matching id
		$(infoblock[t + 1]).attr("id", title);
		// generate and insert a button
		$(".buttonlist").append("<p class='holder'><a name='button' onclick='changeText(&#39;" + title + "&#39;)' class='iframe'>" + title + "</a></p>");
	}
}
		
function changeText(num) {
	// Auto-populate the page with buttons for each of the relevant information blocks
	addbuttons();
		
	// Populate the href attribute of all infobit buttons
	var buttons = $("p.holder a");
	for (i = 0; i < buttons.length; i++) {
		// Get text from each button, remove non-alphanumeric chars, use as href
		var buttonContent = $(buttons[i]).text()
		//buttonContent = buttonContent.replace(/\D/g,'');
		buttons[i].href = "#" + buttonContent;
	}

	// Get infobit from URL parameters
	var infobit = location.hash;
	infobit = infobit.replace("#", "");
			
	if(infobit != "" && $("body").hasClass("urlParseComplete") != true) {
									
		num = infobit;
		$("body").addClass("urlParseComplete");
	}
	if ($("div#" + num).length == 0) {
		num = "starter";
		window.location.hash = "";
	}

	// Hide elements which should always be hidden
	$("#hidden").css("display", "none");
	// Hide all information containers
	$("[name='hideme']").css("display", "none");
	// Then show only the requested information container
	$('[id=' + num + ']').css("display", "block");

	// Set the appearance of the inactive buttons
	$("[name='button']").removeClass("active").addClass("inactive");
	// Set the appearance of the active button	
	$("a:contains(" + num + ")").removeClass("inactive").addClass("active");

	// Update top URL with the current infobit
	if (num != "starter"){
		window.location.hash = num;
					
		if(window.location.hash != window.top.location.hash){
			tophash = window.top.location.hash;
			tophash = tophash.replace("#", "");
			if (tophash.indexOf("#") != -1){
				firsthash = tophash.substring(0, tophash.indexOf("#"));
			}
			else {
				firsthash = tophash;
			}
			window.top.location.hash = "#" + firsthash + "#" + num;
		}
					
	}
}